// http://akelpad.sourceforge.net/forum/viewtopic.php?p=2023#2023
// Description(1033): Delete empty lines
// Description(1049): Удаляет пустые строки
// Version: 3.7 (2014.08.05)
// Author: VladSh
// 
// Usage:
// 	Call("Scripts::Main", 1, "DelEmptyLines.js") - удалит пустые строки
// 	Call("Scripts::Main", 1, "DelEmptyLines.js", `-delSpaces=1`) - удалит пустые строки в т.ч. состоящие из "пустых" символов

if (! AkelPad.Include("selCompleteLine.js")) WScript.Quit();
oCh.runWithRedraw();

function process() {
	oCh.Text = oCh.getSelTextAll();
	if (AkelPad.GetArgValue("delSpaces", 0)) {
		oCh.Text = oCh.Text.replace(/^[ \t]+$/mg, "");
	}
	oCh.Text = oCh.Text.replace(/\r{2,}/g, pBreak);		//убираем 2 и более переводов строк внутри
	oCh.Text = oStr.trim(oCh.Text, pBreak);		//убираем переводы строк по краям
}